Subject: Re: [External] : Re: bug#64046: 30.0.50; Quoting in customize choice tags

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Sep 2023 09:34:42 +0300

> From: Drew Adams <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>,
>         "[email-masked]"
> 	<[email-masked]>,
>         "[email-masked]" <[email-masked]>,
>         "[email-masked]" <[email-masked]>,
>         Mauro Aranda
> 	<[email-masked]>
> Date: Fri, 1 Sep 2023 01:08:55 +0000
> 
> > The reality is that we have decided to use curly quotes in Emacs, in
> > places where it is typographically correct.  That decision was made
> > before I was very active in the project, BTW.  So either we reverse
> > that decision, or we try to be consistent about it.  My position is
> > that the latter is preferable.
> 
> How does (a) a decision (however debatable its
> merits) to convert ` and ' that surround key
> descriptions, function names, variable names,
> etc. in doc/help to curly quotes apply to, or
> even relate to, (b) deciding to convert ` and '
> to curly quotes in TITLE for the currently
> considered context?

These conversions are broader in scope than you assume: they affect
_any_ quoting, not just quoting of symbols.

> Has anyone spoken to that?  Has anyone given
> any reason, let alone good reasons, for doing
> that?  I haven't seen any reasons presented,
> and I've asked you about it several times now.

The reasons were given many times.  You just disagree with them, so
you post counter-arguments, and then behave like the reasons don't
exist because you posted counter-arguments.

> Can you cite some reasons?

What for?  We had these discussions many times, with the same
arguments and the same outcomes.  We should stop reiterating them and
wasting everyone's time and energy, let alone bandwidth.

> All I've seen are vague pronouncements that
> doing that would produce TITLEs that are "a
> bit nicer".  An opinion as worthy as another
> perhaps, but "I like it" is hardly a reason
> why changing user TITLEs is preferable to
> just leaving them well enough alone.

You have an option to disable that if you don't like it.

> You can say "I like curly quotes", and I can
> say "I like straight quotes".  Opinions.

The way Emacs deals with different opinions is to have user options.
We have one here, so please customize your sessions to your liking,
and let's stop these futile disputes.